ia64/xen-unstable

view docs/check_pkgs @ 9792:75f8e9c4e483

Put back some modules directly in kernel.
ATA_PIIX, PACKET and SECURITY_CAPABILITY are not correctly load on certain
distributions.

Signed-off-by: Vincent Hanquez <vincent@xensource.com>
author vhanquez@kneesa.uk.xensource.com
date Thu Apr 20 15:45:09 2006 +0100 (2006-04-20)
parents cf0c13832905
children 59d511c4a8d8
line source
2 silent_which ()
3 {
4 which $1 1>/dev/null 2>/dev/null || {
5 echo "*************************************************"
6 echo "*************************************************"
7 echo "* WARNING: Package '$1' is required"
8 echo "* to build Xen documentation"
9 echo "*************************************************"
10 echo "*************************************************"
11 }
12 which $1 1>/dev/null 2>/dev/null
13 }
15 silent_which latex || exit 1
16 silent_which dvips || exit 1
17 silent_which ps2pdf || exit 1
18 silent_which fig2dev || exit 1
20 exit 0